/* Icosahedron */
/* 800 800 -3 3 -3 3 -2 2 */

void icosahedron()
{
#define G 1.61803398875

point p[12] = { {0,1,G}, {0,-1,G}, {0,1,-G}, {0,-1,-G},
                {G,0,1}, {G,0,-1}, {-G,0,1}, {-G,0,-1},
                {1,G,0}, {-1,G,0}, {1,-G,0}, {-1,-G,0} };

mesh(p,0,1,4); mesh(p,0,1,6); mesh(p,2,3,5); mesh(p,2,3,7);
mesh(p,4,5,8); mesh(p,4,5,10); mesh(p,6,7,9); mesh(p,6,7,11);
mesh(p,8,9,0); mesh(p,8,9,2); mesh(p,10,11,1); mesh(p,10,11,3);
mesh(p,0,4,8); mesh(p,0,6,9); mesh(p,1,4,10); mesh(p,1,6,11); 
mesh(p,2,5,8); mesh(p,2,7,9); mesh(p,3,5,10); mesh(p,3,7,11);
}

rotation_angles(30,25,12); 
translation(-0.3,0,0);
build(icosahedron);
